org.apache.hc.core5.testing.nio

## Class LoggingHttp1StreamListener

- java.lang.Object
- - org.apache.hc.core5.testing.nio.LoggingHttp1StreamListener

- All Implemented Interfaces:
    Http1StreamListener

      public class LoggingHttp1StreamListener
      extends Object
      implements Http1StreamListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LoggingHttp1StreamListener` | `INSTANCE_CLIENT`
    `static LoggingHttp1StreamListener` | `INSTANCE_SERVER`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onExchangeComplete(HttpConnection connection, boolean keepAlive)`
    `void` | `onRequestHead(HttpConnection connection, HttpRequest request)`
    `void` | `onResponseHead(HttpConnection connection, HttpResponse response)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE_CLIENT

          public static final LoggingHttp1StreamListener INSTANCE_CLIENT

    - #### INSTANCE_SERVER

          public static final LoggingHttp1StreamListener INSTANCE_SERVER

  - ### Method Detail

    - #### onRequestHead

          public void onRequestHead(HttpConnection connection,
                                    HttpRequest request)

      Specified by:
        `onRequestHead` in interface `Http1StreamListener`

    - #### onResponseHead

          public void onResponseHead(HttpConnection connection,
                                     HttpResponse response)

      Specified by:
        `onResponseHead` in interface `Http1StreamListener`

    - #### onExchangeComplete

          public void onExchangeComplete(HttpConnection connection,
                                         boolean keepAlive)

      Specified by:
        `onExchangeComplete` in interface `Http1StreamListener`

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.